$NumHelpPages = 13;

function HelpCreditsGui::onWake(%this)
{
   $CurHelpPage = 1;
   %this.setPage($CurHelpPage);
}

function HelpCreditsGui::setPage(%this, %page)
{
   HC_StartPad.setVisible(false);
   HC_EndPad.setVisible(false);
   HC_Gem1.setVisible(false);
   HC_Gem2.setVisible(false);
   HC_Gem3.setVisible(false);
   HC_SuperSpeed.setVisible(false);
   HC_SuperJump.setVisible(false);
   HC_ShockAbsorber.setVisible(false);
   HC_AntiGravity.setVisible(false);
   HC_Helicopter.setVisible(false);
   HC_TimeTravel.setVisible(false);
   HC_DuctFan.setVisible(false);
   HC_Tornado.setVisible(false);
   HC_Trapdoor.setVisible(false);
   HC_Nuke.setVisible(false);
   HC_Bumper.setVisible(false);
   HC_SuperBounce.setVisible(false);
   HC_FullVersion1.setVisible(false);
   HC_FullVersion2.setVisible(false);
   HC_FullVersion3.setVisible(false);
   HC_FullVersion4.setVisible(false);
   HC_FullVersion5.setVisible(false);

   switch(%page)
   {
      case 1:
         %text = "<font:Expo:50><color:000000><just:center>The Background of MBP<font:DomCasualD:32><just:left>\n\n" @
                 "Marble Blast Platinum was created to be the next Marble Blast game until a new official game is released by GarageGames. Since it requires a full version of Marble Blast Gold installed, it's assumed the player has already played Marble Blast.";
      %text = "<font:Expo:50><color:000000><just:center>The Background of MBP<font:DomCasualD:32><just:left>\n\n" @
              "Marble Blast Platinum was created to be the next Marble Blast game until a new official game is released by GarageGames. Since it requires a full version of Marble Blast Gold installed, it's assumed the player has already played Marble Blast.";
      case 2:
         %text = "<font:Expo:50><color:000000><just:center>Levels Order in MBP<font:DomCasualD:32><just:left>\n\n" @
                 "Because it's assumed the player has played Marble Blast before, MBP is offering a new, harder challenge. While the beginner levels introduce the player to the basics of Marble Blast (assuming the player hasn't played Marble Blast before), the intermediate levels are good training and from Advanced levels on, the levels become more challenging and require more skills.";
      case 3:
         %text = "<font:Expo:33><color:000000><just:center>Additional Challenges and Extras<font:DomCasualD:26><just:left>\n\n" @
                 "Marble Blast Platinum offers the player two new challenges: To find an Easter Egg (usually an egg-looking shape which is hidden in certain levels) and Ultimate Time (whereas the Platinum Time seems rather easy, Ultimate Times take your skills to the max! To get Ultimate Times you have to know the right path, do the right tricks, complete the level quickly and on some levels, flawlessly). ";
      case 4:
         %text = "<font:Expo:50><color:000000><just:center>Goals<font:DomCasualD:32><just:left>\n\n" @
                 "<lmargin:70>Start Pad - This is where you start the level.\n\nEnd Pad - Get your marble here to end the level.\n\nDiamonds - if a level has diamonds, you must pick them all up before you can finish.";
         HC_StartPad.setVisible(true);
         HC_EndPad.setVisible(true);
         HC_Gem1.setVisible(true);
         HC_Gem2.setVisible(true);
         HC_Gem3.setVisible(true);

      case 5:
         %text = "<font:Expo:50><color:000000><just:center>Bonus Items (1/2)<font:Arial:16>\n\n<font:DomCasualD:32><just:left>" @
                 "<lmargin:70>Speed Booster - gives you a boost of speed.\n\nJump Boost - gives you a huge jump boost.\n\nAnti Recoil - absorbs bounce impacts.\n\nMarble Recoil - makes your marble bounce higher.";
         HC_SuperSpeed.setVisible(true);
         HC_SuperJump.setVisible(true);
         HC_ShockAbsorber.setVisible(true);
         HC_SuperBounce.setVisible(true);
         if($DemoBuild)
         {
            HC_FullVersion3.setVisible(true);
            HC_FullVersion5.setVisible(true);
         }
      case 6:
         %text = "<font:Expo:50><color:000000><just:center>Bonus Items (2/2)<font:DomCasualD:32><just:left>\n\n" @
                 "<lmargin:70>Helicopter - Gives your marble wings!\n\nTime Modifers - Deducts some time off the clock!\n\nGravity Defyer - Changes the direction of gravity! - the new down is in the direction of the arrow.";
         HC_AntiGravity.setVisible(true);
         HC_Helicopter.setVisible(true);
         HC_TimeTravel.setVisible(true);
      case 7:
         %text = "<font:Expo:50><color:000000><just:center>Hazards (1/2)<font:DomCasualD:32><just:left>\n\n" @
                 "<lmargin:70>Fan - Throws the marble away from it with some chilling air!\n\nCyclone -  A Marble Sucker!\n\nTrapdoor - Stay on it too long and you shall fall.";
         HC_DuctFan.setVisible(true);
         HC_Tornado.setVisible(true);
         HC_Trapdoor.setVisible(true);
         if($DemoBuild)
         {
            //HC_FullVersion1.setVisible(true);
            HC_FullVersion2.setVisible(true);
            HC_FullVersion4.setVisible(true);
         }
      case 8:
         %text = "<font:Expo:50><color:000000><just:center>Hazards (2/2)<font:DomCasualD:32><just:left>\n\n" @
                 "<lmargin:70>Bumper - Touch it and be bounced away!\n\nNuke - We'll have a big explosion!";
         HC_Bumper.setVisible(true);
         HC_Nuke.setVisible(true);
         if($DemoBuild)
         {
            HC_FullVersion1.setVisible(true);
            HC_FullVersion2.setVisible(true);
         }
      case 9:
         %text = "<font:Expo:50><color:000000><just:center>Additional Friction Floors<font:DomCasualD:32><just:left>\n\n" @
                 "Marble Blast Platinum features new unique floors for the marble to roll on. Each floor is unique. For example, while a marble might keep its momentum on ice, it will come to an immediate stop on carpets and rugs. Additional surfaces are water, sand, tarmac and others.";
      case 10:
        %text = "<font:Expo:50><color:000000><just:center>About GMD<font:DomCasualD:32><just:left>\n\n" @
                "GMD (Game Modifier Developers) was established by a group of teenagers who wanted to change the way Marble Blast looks and feels. Their mission is to create a better gameplay for all players.";

      case 11:
         %text = "<font:Expo:50><color:000000><just:center>The Marble Blast Platinum Team<font:DomCasualD:32><just:left>\n\n" @
            "<lmargin%:15><rmargin%:85>" @
            "<just:left>Matan Weissman" @ 
            "<just:right>Phil" @
            "\n<just:left>Jase" @
            "<just:right>Andrew Sears" @
            "\n<just:left>Ian" @
            "<just:right>Lonestar" @
            "\n<just:left>Perishingflames" @
            "<just:right>Technostick" @
            "\n<just:left>Moshe" @
            "<just:right>Spy47";

      case 12:
         %text = "<font:Expo:50><color:000000><just:center>Special Thanks (1/2)<font:DomCasualD:32><just:left>\n\n" @
            "We'd like to thank the community for supporting us while we created this game, " @
            "Alex Swanson for his great help with several codes that are now operating in the game and " @
            "our parents for letting us play and build Marble Blast Platinum.";

      case 13:
         %text = "<font:Expo:50><color:000000><just:center>Special Thanks (2/2)<font:DomCasualD:32><just:left>\n\n" @
            "We'd also like to thank Beau for some of the sounds used in the game, " @
            "Spy47 for some amazing coding work that can be seen throughout the game " @
            "and lastly to GarageGames, for this amazing game and letting us modify it! You guys rock!";

   }
   HC_Text.setText(%text);
}

function HelpNext()
{
   $CurHelpPage++;
   if($CurHelpPage > $NumHelpPages)
      $CurHelpPage = 1;
   HelpCreditsGui.setPage($CurHelpPage);
}

function HelpPrev()
{
   $CurHelpPage--;
   if($CurHelpPage < 1)
      $CurHelpPage = $NumHelpPages;
   HelpCreditsGui.setPage($CurHelpPage);
}